"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SdkError = exports.AllServiceErrors = void 0;
const commons_1 = require("@effect-aws/commons");
exports.AllServiceErrors = [
    "AlarmsLimitExceededException",
    "ApplicationAlreadyExistsException",
    "ApplicationDoesNotExistException",
    "ApplicationLimitExceededException",
    "ApplicationNameRequiredException",
    "ArnNotSupportedException",
    "BatchLimitExceededException",
    "BucketNameFilterRequiredException",
    "DeploymentAlreadyCompletedException",
    "DeploymentConfigAlreadyExistsException",
    "DeploymentConfigDoesNotExistException",
    "DeploymentConfigInUseException",
    "DeploymentConfigLimitExceededException",
    "DeploymentConfigNameRequiredException",
    "DeploymentDoesNotExistException",
    "DeploymentGroupAlreadyExistsException",
    "DeploymentGroupDoesNotExistException",
    "DeploymentGroupLimitExceededException",
    "DeploymentGroupNameRequiredException",
    "DeploymentIdRequiredException",
    "DeploymentIsNotInReadyStateException",
    "DeploymentLimitExceededException",
    "DeploymentNotStartedException",
    "DeploymentTargetDoesNotExistException",
    "DeploymentTargetIdRequiredException",
    "DeploymentTargetListSizeExceededException",
    "DescriptionTooLongException",
    "ECSServiceMappingLimitExceededException",
    "GitHubAccountTokenDoesNotExistException",
    "GitHubAccountTokenNameRequiredException",
    "IamArnRequiredException",
    "IamSessionArnAlreadyRegisteredException",
    "IamUserArnAlreadyRegisteredException",
    "IamUserArnRequiredException",
    "InstanceDoesNotExistException",
    "InstanceIdRequiredException",
    "InstanceLimitExceededException",
    "InstanceNameAlreadyRegisteredException",
    "InstanceNameRequiredException",
    "InstanceNotRegisteredException",
    "InvalidAlarmConfigException",
    "InvalidApplicationNameException",
    "InvalidArnException",
    "InvalidAutoRollbackConfigException",
    "InvalidAutoScalingGroupException",
    "InvalidBlueGreenDeploymentConfigurationException",
    "InvalidBucketNameFilterException",
    "InvalidComputePlatformException",
    "InvalidDeployedStateFilterException",
    "InvalidDeploymentConfigNameException",
    "InvalidDeploymentGroupNameException",
    "InvalidDeploymentIdException",
    "InvalidDeploymentInstanceTypeException",
    "InvalidDeploymentStatusException",
    "InvalidDeploymentStyleException",
    "InvalidDeploymentTargetIdException",
    "InvalidDeploymentWaitTypeException",
    "InvalidEC2TagCombinationException",
    "InvalidEC2TagException",
    "InvalidECSServiceException",
    "InvalidExternalIdException",
    "InvalidFileExistsBehaviorException",
    "InvalidGitHubAccountTokenException",
    "InvalidGitHubAccountTokenNameException",
    "InvalidIamSessionArnException",
    "InvalidIamUserArnException",
    "InvalidIgnoreApplicationStopFailuresValueException",
    "InvalidInputException",
    "InvalidInstanceNameException",
    "InvalidInstanceStatusException",
    "InvalidInstanceTypeException",
    "InvalidKeyPrefixFilterException",
    "InvalidLifecycleEventHookExecutionIdException",
    "InvalidLifecycleEventHookExecutionStatusException",
    "InvalidLoadBalancerInfoException",
    "InvalidMinimumHealthyHostValueException",
    "InvalidNextTokenException",
    "InvalidOnPremisesTagCombinationException",
    "InvalidOperationException",
    "InvalidRegistrationStatusException",
    "InvalidRevisionException",
    "InvalidRoleException",
    "InvalidSortByException",
    "InvalidSortOrderException",
    "InvalidTagException",
    "InvalidTagFilterException",
    "InvalidTagsToAddException",
    "InvalidTargetFilterNameException",
    "InvalidTargetGroupPairException",
    "InvalidTargetInstancesException",
    "InvalidTimeRangeException",
    "InvalidTrafficRoutingConfigurationException",
    "InvalidTriggerConfigException",
    "InvalidUpdateOutdatedInstancesOnlyValueException",
    "InvalidZonalDeploymentConfigurationException",
    "LifecycleEventAlreadyCompletedException",
    "LifecycleHookLimitExceededException",
    "MultipleIamArnsProvidedException",
    "OperationNotSupportedException",
    "ResourceArnRequiredException",
    "ResourceValidationException",
    "RevisionDoesNotExistException",
    "RevisionRequiredException",
    "RoleRequiredException",
    "TagLimitExceededException",
    "TagRequiredException",
    "TagSetListLimitExceededException",
    "ThrottlingException",
    "TriggerTargetsLimitExceededException",
    "UnsupportedActionForDeploymentTypeException",
];
exports.SdkError = commons_1.SdkError;
//# sourceMappingURL=Errors.js.map